Classpath (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Class Classpath

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject
    - - org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
      - - org.gradle.plugins.ide.eclipse.model.Classpath

- All Implemented Interfaces:
    GroovyObject, org.gradle.plugins.ide.internal.generator.generator.PersistableConfigurationObject

      public class Classpath
      extends org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

  Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Classpath()`
    `Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer, org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `configure(List newEntries)`
    `boolean` | `equals(Object o)`
    `protected String` | `getDefaultResourceName()`
    `List<ClasspathEntry>` | `getEntries()`
    `int` | `hashCode()`
    `protected void` | `load(Node xml)`
    `void` | `setEntries(List<ClasspathEntry> entries)`
    `protected void` | `store(Node xml)`
    `String` | `toString()`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject

      `findFirstChildNamed, findFirstChildWithAttributeValue, findFirstWithAttributeValue, findOrCreateFirstChildNamed, findOrCreateFirstChildWithAttributeValue, getChildren, getXml, load, store, transformAction`

    - ### Methods inherited from class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject

      `load, loadDefaults, store`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Classpath

          public Classpath(org.gradle.internal.xml.XmlTransformer xmlTransformer,
                   org.gradle.plugins.ide.eclipse.model.internal.FileReferenceFactory fileReferenceFactory)

    - #### Classpath

          public Classpath()

  - ### Method Detail

    - #### getEntries

          public List<ClasspathEntry> getEntries()

    - #### setEntries

          public void setEntries(List<ClasspathEntry> entries)

    - #### getDefaultResourceName

          protected String getDefaultResourceName()

      Specified by:
        `getDefaultResourceName` in class `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject`

    - #### load

          protected void load(Node xml)

      Overrides:
        `load` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### configure

          public Object configure(List newEntries)

    - #### store

          protected void store(Node xml)

      Overrides:
        `store` in class `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`